api-keys resource endpoint
URL: /api-keys/<id>.<format>
Supported Methods
| GET | Get basic information about the selected API key, including what application it belongs to. |
Resource Type
This endpoint returns an object of type ApiKey.
- apiKey (string)
- The actual API key string. Use this as the consumer key when making an OAuth request.
- owner (Application)
- The application that owns this API key.
Client Library Methods for PHP
- Get basic information about the selected API key, including what application it belongs to.
$tp->apiKeys->get(array( # Required Parameters "id" => $id, ))
Example Request
GET /api-keys/3d20424ed60e58e1.json HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 968
{
"owner": {
"sessionSyncScriptUrl": "https://www.typepad.com/secure/services/api/6p012877b14c76970c/session-sync",
"oauthIdentificationUrl": "https://www.typepad.com/secure/services/api/6p012877b14c76970c/oauth-identify",
"objectTypes": [
"tag:api.typepad.com,2009:Application"
],
"name": "Devin's Awesome Site",
"oauthAuthorizationUrl": "https://www.typepad.com/secure/services/api/6p012877b14c76970c/oauth-approve",
"signoutUrl": "https://www.typepad.com/secure/services/api/6p012877b14c76970c/sign-out",
"userFlyoutsScriptUrl": "http://www.typepad.com/services/api/6p012877b14c76970c/user-flyouts",
"objectType": "Application",
"id": "6p012877b14c76970c",
"oauthRequestTokenUrl": "https://www.typepad.com/secure/services/oauth/request_token",
"oauthAccessTokenUrl": "https://www.typepad.com/secure/services/oauth/access_token"
},
"apiKey": "3d20424ed60e58e1"
}